Subject: Re: Takada Yumi CD-ROM?
From: Hitoshi Doi <[email-masked]>
To: [email-masked]
Date: Mon, 03 Jun 1996 05:46:45 +0900

| did you ever manage to find out more about the Takada Yumi (by some reports
| ecchi) CD-ROM? I was just leafing through some old emails from January and
| remember you mentioning it back then, but said you'd have to find more info.

There is supposed to be a photo CD out.  I've never seen it.
It's not ecchi (as in 18 or over).
--
Hitoshi Doi, Toshi Nibunnoichi                                  [email-masked]
half a UFO catcher doll, half a cel          801 tactical training squadron
http://www.tcp.com/doi/doi.html                             [email-masked]